package de.hft.stuttgart.citygml.green.osm;

import org.locationtech.jts.geom.Point;

public class Tree {

	private String type;
	private Point point;
	private double trunkHeight;
	private double trunkRadius;
	private double crownRadius;
	private double crownHeight;

	public void setType(String type) {
		this.type = type;
	}
	
	public String getType() {
		return type;
	}
	
	public Point getPoint() {
		return point;
	}

	public void setPoint(Point point) {
		this.point = point;
	}

	public double getTrunkHeight() {
		return trunkHeight;
	}

	public void setTrunkHeight(double trunkHeight) {
		this.trunkHeight = trunkHeight;
	}

	public double getTrunkRadius() {
		return trunkRadius;
	}

	public void setTrunkRadius(double trunkRadius) {
		this.trunkRadius = trunkRadius;
	}

	public double getCrownRadius() {
		return crownRadius;
	}

	public void setCrownRadius(double crownRadius) {
		this.crownRadius = crownRadius;
	}

	public double getCrownHeight() {
		return crownHeight;
	}

	public void setCrownHeight(double crownHeight) {
		this.crownHeight = crownHeight;
	}

}
